﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" AutoEventWireup="true" CodeBehind="ListingByCategory.aspx.cs" Inherits="MvcWebApp.Views.Products.ListingByCategory" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContentPlaceHolder" runat="server">

<mvc:MvcAjaxPanel runat="server" ID="main" UpdateAreaID="Main">

    <h2><%= this.Category %> </h2>
        
    <ul class="productlist">
    <%
        foreach (var product in this.Products)
        { %>
            <li style="margin-bottom:10px;">
                <img src="/Content/Images/<%=product.ProductID%>.jpg" alt="<%= product.Name %>" /><br/> 
                <%= product.Name %><br />
                Price: <%= String.Format("{0:C2}", product.Price)%> 
                <span class="editlink"">
                    (<%=
                        Html.ActionLink<ProductsController>(
                            p => p.Edit(product.ProductID),
                            "Edit",
                            new { onclick = "mvcAjax.get(this, event)" })%>)
                </span>
            </li><%
        } %>        
    </ul>

    <hr />
    <div style="text-align:right; margin-bottom: 10px;">
    <%
        for (int i = 1; i <= this.MaxPageNumber; i++)
        {
            if (this.PageNumber == i)
            { %>
                <strong><%= i%></strong>&nbsp;<%
            }
            else
            { %>
                <%= Html.ActionLink<ProductsController>(
                        c => c.List(this.Category, i),
                        i.ToString(),
                        new { onclick = "mvcAjax.get(this, event)" })%>
              <%
            }
        }%>
    </div>
    
</mvc:MvcAjaxPanel>
    
</asp:Content>
