﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcWebApp.Models;

namespace MvcWebApp.Views.Products
{
    public partial class ListingByCategory : ViewPage
    {
        protected List<Product> Products
        {
            get
            {
                return (List<Product>)this.ViewData["Products"];
            }
        }

        protected int PageNumber
        {
            get
            {
                return (int)this.ViewData["PageNumber"];
            }
        }

        protected int MaxPageNumber
        {
            get
            {
                return ((int)this.ViewData["TotalCount"] - 1) / 5 + 1;
            }
        }

        protected string Category
        {
            get
            {
                return this.ViewData["Category"].ToString();
            }
        }
    }
}
